[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#988047: shim-signed: postinst fails: update-secureboot-policy: not found



Package: shim-signed
Version: 1.34+15.4-2
Severity: normal
X-Debbugs-Cc: zoli@dzsiudzs.icu

Dear Maintainer,

aptitude upgrade tried to uninstall shim-signed-common and upgrade shim-signed.

This results in the postinst script failing:

Setting up shim-signed:amd64 (1.34+15.4-2) ...
Installing for x86_64-efi platform.
Installation finished. No error reported.
/var/lib/dpkg/info/shim-signed:amd64.postinst: 80: update-secureboot-policy:
not found
dpkg: error processing package shim-signed:amd64 (--configure):
 installed shim-signed:amd64 package post-installation script subprocess
returned error exit status 127


Maybe it should depend on shim-signed-common?

Thanks,
Zoltán

-- System Information:
Debian Release: 11.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.10.0-6-amd64 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_CRAP,
TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8),
LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages shim-signed depends on:
ii  grub-efi-amd64-bin         2.04-18
ii  grub2-common               2.04-18
ii  shim-helpers-amd64-signed  1+15.4+2

Versions of packages shim-signed recommends:
pn  secureboot-db  <none>

shim-signed suggests no packages.

-- debconf information:
  shim/error/secureboot_key_mismatch:
  shim/disable_secureboot: true
  shim/title/secureboot:
  shim/enable_secureboot: false

Reply to: